Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.typedarrays.server
Class JavaImpl

    java.lang.Object
      com.google.gwt.typedarrays.shared.TypedArrays.Impl
          com.google.gwt.typedarrays.server.JavaImpl

    public class JavaImpl

extends TypedArrays.Impl

Pure Java implementation class for typed arrays.

Constructor Summary
`JavaImpl()`

Method Summary
`ArrayBuffer` | `createArrayBuffer(int length)`
`DataView` | `createDataView(ArrayBuffer buffer, int byteOffset, int byteLength)`
`Float32Array` | `createFloat32Array(ArrayBuffer buffer, int byteOffset, int length)`
`Float32Array` | `createFloat32Array(float[] array)`
`Float64Array` | `createFloat64Array(ArrayBuffer buffer, int byteOffset, int length)`
`Int16Array` | `createInt16Array(ArrayBuffer buffer, int byteOffset, int length)`
`Int32Array` | `createInt32Array(ArrayBuffer buffer, int byteOffset, int length)`
`Int8Array` | `createInt8Array(ArrayBuffer buffer, int byteOffset, int length)`
`Uint16Array` | `createUint16Array(ArrayBuffer buffer, int byteOffset, int length)`
`Uint32Array` | `createUint32Array(ArrayBuffer buffer, int byteOffset, int length)`
`Uint8Array` | `createUint8Array(ArrayBuffer buffer, int byteOffset, int length)`
`Uint8ClampedArray` | `createUint8ClampedArray(ArrayBuffer buffer, int byteOffset, int length)`
`protected boolean` | `runtimeSupportCheck()` Check if the current environment actually does support typed arrays (including emulation).

Methods inherited from class com.google.gwt.typedarrays.shared.TypedArrays.Impl
`createDataView, createDataView, createFloat32Array, createFloat32Array, createFloat32Array, createFloat64Array, createFloat64Array, createFloat64Array, createFloat64Array, createInt16Array, createInt16Array, createInt16Array, createInt16Array, createInt32Array, createInt32Array, createInt32Array, createInt32Array, createInt8Array, createInt8Array, createInt8Array, createInt8Array, createUint16Array, createUint16Array, createUint16Array, createUint16Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint8Array, createUint8Array, createUint8Array, createUint8Array, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, getElementCount, mightBeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaImpl

    public JavaImpl()

Method Detail

### createArrayBuffer

    public ArrayBuffer createArrayBuffer(int length)

  Specified by:
    `createArrayBuffer` in class `TypedArrays.Impl`

### createDataView

    public DataView createDataView(ArrayBuffer buffer,
                                   int byteOffset,
                                   int byteLength)

  Specified by:
    `createDataView` in class `TypedArrays.Impl`

### createFloat32Array

    public Float32Array createFloat32Array(ArrayBuffer buffer,
                                           int byteOffset,
                                           int length)

  Specified by:
    `createFloat32Array` in class `TypedArrays.Impl`

### createFloat32Array

    public Float32Array createFloat32Array(float[] array)

  Overrides:
    `createFloat32Array` in class `TypedArrays.Impl`

### createFloat64Array

    public Float64Array createFloat64Array(ArrayBuffer buffer,
                                           int byteOffset,
                                           int length)

  Specified by:
    `createFloat64Array` in class `TypedArrays.Impl`

### createInt16Array

    public Int16Array createInt16Array(ArrayBuffer buffer,
                                       int byteOffset,
                                       int length)

  Specified by:
    `createInt16Array` in class `TypedArrays.Impl`

### createInt32Array

    public Int32Array createInt32Array(ArrayBuffer buffer,
                                       int byteOffset,
                                       int length)

  Specified by:
    `createInt32Array` in class `TypedArrays.Impl`

### createInt8Array

    public Int8Array createInt8Array(ArrayBuffer buffer,
                                     int byteOffset,
                                     int length)

  Specified by:
    `createInt8Array` in class `TypedArrays.Impl`

### createUint16Array

    public Uint16Array createUint16Array(ArrayBuffer buffer,
                                         int byteOffset,
                                         int length)

  Specified by:
    `createUint16Array` in class `TypedArrays.Impl`

### createUint32Array

    public Uint32Array createUint32Array(ArrayBuffer buffer,
                                         int byteOffset,
                                         int length)

  Specified by:
    `createUint32Array` in class `TypedArrays.Impl`

### createUint8Array

    public Uint8Array createUint8Array(ArrayBuffer buffer,
                                       int byteOffset,
                                       int length)

  Specified by:
    `createUint8Array` in class `TypedArrays.Impl`

### createUint8ClampedArray

    public Uint8ClampedArray createUint8ClampedArray(ArrayBuffer buffer,
                                                     int byteOffset,
                                                     int length)

  Specified by:
    `createUint8ClampedArray` in class `TypedArrays.Impl`

### runtimeSupportCheck

    protected boolean runtimeSupportCheck()

  Description copied from class: `TypedArrays.Impl`
  Check if the current environment actually does support typed arrays (including emulation). There is no partial support, so if true is returned, there must be acceptable implementations for all of the `createXXX` methods.

  Overrides:
    `runtimeSupportCheck` in class `TypedArrays.Impl`
  Returns:
    true if the current environment actually does support typed arrays

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD